package cz.muni.pa165.generated.device_management.mapper;

import cz.muni.pa165.generated.device_management.data.model.Device;
import cz.muni.pa165.generated.device_management.model.DeviceResponse;
import cz.muni.pa165.generated.device_management.model.DeviceResponseList;
import cz.muni.pa165.generated.device_management.model.NewDevice;
import org.mapstruct.Mapper;

import java.util.List;
import java.util.stream.Collectors;

@Mapper(componentModel = "spring")
public interface DeviceMapper {
    Device mapToEntity(NewDevice newDevice);

    DeviceResponse mapToResponse(Device device);

    default DeviceResponseList mapToResponseList(List<Device> deviceList) {
        var result = new DeviceResponseList();
        result.setDevices(deviceList.stream().map(this::mapToResponse).collect(Collectors.toList()));
        return result;
    }
}
