package cz.muni.pa165.generated.power_control.data.repository;

import cz.muni.pa165.generated.power_control.data.model.House;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.data.repository.query.Param;

import java.util.List;

@Repository
public interface HouseRepository extends JpaRepository<House, String> {
    @Query("select h from House h where h.ownerId = :id")
    List<House> findHousesByOwnerId(@Param("id") String id);
}
