package cz.muni.pa165.generated.device_management.facade;

import cz.muni.pa165.generated.device_management.model.DeviceResponse;
import cz.muni.pa165.generated.device_management.model.DeviceResponseList;
import cz.muni.pa165.generated.device_management.model.NewDevice;
import org.springframework.stereotype.Service;

@Service
public interface DeviceFacade {
    DeviceResponse createDevice(NewDevice newDevice);

    DeviceResponse getDevice(String deviceId);

    DeviceResponse patchDevice(String deviceId, NewDevice newDevice);

    void deleteDevice(String deviceId);

    DeviceResponseList getDevicesByHouseId(String houseId);

    DeviceResponse getLastCreatedDeviceByHouseId(String houseId);
}
