package cz.muni.pa165.generated.user_management.unit_tests;

import cz.muni.pa165.generated.user_management.mappers.UserMapperImpl;
import cz.muni.pa165.generated.user_management.models.User;
import cz.muni.pa165.generated.user_management.model.UserResponse;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.junit.jupiter.MockitoExtension;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.*;

@ExtendWith(MockitoExtension.class)
public class UserMapperTests {

    @InjectMocks
    private UserMapperImpl userMapper;

    @Test
    public void testMapToDto() {
        User user = new User();
        var id = UUID.randomUUID();
        var stringId = id.toString();
        user.setId(id);
        user.setEmail("testEmail");
        user.setName("testName");
        user.setPassword("testPassword");

        UserResponse expected = new UserResponse();
        expected.setId(stringId);
        expected.setEmail("testEmail");
        expected.setName("testName");

        UserResponse actual = userMapper.mapToDto(user);
        assertEquals(expected, actual);
    }
}
